package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFCustomProcess;
import com.sa.ibiz.demo.demo.service.dto.WFCustomProcessSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFCustomProcess] 服务对象接口
 */
public interface WFCustomProcessService extends IService<WFCustomProcess>{

	boolean update(WFCustomProcess et);
	boolean getDraft(WFCustomProcess et);
	boolean remove(WFCustomProcess et);
	boolean checkKey(WFCustomProcess et);
		WFCustomProcess get(WFCustomProcess et);
	boolean create(WFCustomProcess et);
    List<WFCustomProcess> listDefault(WFCustomProcessSearchFilter filter) ;
	Page<WFCustomProcess> searchDefault(WFCustomProcessSearchFilter filter);
	/**	 实体[WFCustomProcess] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }